Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.nodes
Class TTableList

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.nodes.TParseTreeNodeList
              gudusoft.gsqlparser.nodes.TTableList

All Implemented Interfaces:
  Visitable

    public class TTableList

extends TParseTreeNodeList

Constructor Summary
`TTableList()`

Method Summary
`void` | `addTable(TTable table)`
`void` | `addTableByTableRefernce(TTableReference tableref)` add a table reference to table list, if there is already a corresponding table in table list just add this reference to that table, otherwise, create a new table instance, then add this reference.
`int` | `checkColumnReferenceInTables(TObjectName crf)`
`TTable` | `getTable(int position)`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNodeList
`addElement, addNode, doParse, elementAt, getElement, getEndToken, getStartToken, init, removeElement, removeElementAt, size, TParseTreeNodeList`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`accept, addAllMyTokensToTokenList, getColumnNo, getDummyTag, getGsqlparser, getLineNo, getNodeType, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TTableList

    public TTableList()

Method Detail

### addTable

    public void addTable(TTable table)

### addTableByTableRefernce

    public void addTableByTableRefernce(TTableReference tableref)

  add a table reference to table list, if there is already a corresponding table in table list just add this reference to that table, otherwise, create a new table instance, then add this reference.

  Parameters:
    `tableref` -

### getTable

    public TTable getTable(int position)

### checkColumnReferenceInTables

    public int checkColumnReferenceInTables(TObjectName crf)

  Parameters:
    `crf` - column reference
  Returns:
    return position of table this column reference belongs to, 0 means first table. < 0 means not found if no qualifier before column name, always return -2, if return -1,this column name must be found in uplevel tables

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD